Skip to main content
POST
/
external-payments
Create external payments
curl --request POST \
  --url https://payouts.api.trykarat.com/external-payments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalPayments": [
    {
      "recipientId": "9c1f7b2a-3d4e-4f5a-8b6c-1d2e3f4a5b6c",
      "amount": 50000,
      "description": "Paid via PayPal",
      "date": "2026-06-15",
      "paymentMethod": "paypal",
      "platform": "Upwork"
    }
  ],
  "idempotencyKey": "ext-2026-06-15-001"
}
'
import requests

url = "https://payouts.api.trykarat.com/external-payments"

payload = {
"externalPayments": [
{
"recipientId": "9c1f7b2a-3d4e-4f5a-8b6c-1d2e3f4a5b6c",
"amount": 50000,
"description": "Paid via PayPal",
"date": "2026-06-15",
"paymentMethod": "paypal",
"platform": "Upwork"
}
],
"idempotencyKey": "ext-2026-06-15-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalPayments: [
{
recipientId: '9c1f7b2a-3d4e-4f5a-8b6c-1d2e3f4a5b6c',
amount: 50000,
description: 'Paid via PayPal',
date: '2026-06-15',
paymentMethod: 'paypal',
platform: 'Upwork'
}
],
idempotencyKey: 'ext-2026-06-15-001'
})
};

fetch('https://payouts.api.trykarat.com/external-payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "payments": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
}
{
"error": {
"message": "amount: amount must be positive"
}
}
{
"error": {
"message": "Invalid api key"
}
}
{
"error": {
"message": "Payment intent not found"
}
}

Authorizations

Authorization
string
header
required

Pass your API key as a bearer token: Authorization: Bearer <API_KEY>.

Body

application/json
externalPayments
object[]
required
Required array length: 1 - 100 elements
idempotencyKey
string

Batch-level idempotency key.

Response

The external payments were created.

data
object